package controllers

import (
	"github.com/astaxie/beego"
)

type WelcomeController struct {
	beego.Controller
}

// 主界面
// 通过c.Data[key]返回数据
// ace模板文件通过{{.key}}获取数据
func (c *WelcomeController) Get() {
	userinfo := c.GetSession("user")
	if userinfo == nil {
		c.Ctx.Redirect(302, "/accountlogin")
		return
	}

	//界面模板文件
	c.TplName = "welcome.tpl"
}
