/*
 * @Descripttion:
 * @version:
 * @Author: Neo,Huang
 * @Date: 2020-03-17 13:54:11
 * @LastEditors: Neo,Huang
 * @LastEditTime: 2020-10-23 13:44:43
 */
package models

const (
	ModelUser       = 0
	ModelStatment   = 1
	ModelRealTime   = 2
	ModelSystem     = 3
	ModelSccor      = 4
	ModelStock      = 5
	ModelPlayerRole = 6
)

// 权限信息，新增大功能需要新增权限
type PermissionInfo struct {
	Id   int    `form:"id"`
	Name string `form:"name"`
}

func GetPermissions() []*PermissionInfo {
	return []*PermissionInfo{
		{
			Id:   ModelUser,
			Name: "用户管理",
		},
		{
			Id:   ModelStatment,
			Name: "统计数据",
		},
		{
			Id:   ModelRealTime,
			Name: "实时数据",
		},
		{
			Id:   ModelSystem,
			Name: "系统设置",
		},
		{
			Id:   ModelSccor,
			Name: "足彩",
		},
		{
			Id:   ModelStock,
			Name: "股票",
		},
		{
			Id:   ModelPlayerRole,
			Name: "玩家角色",
		},
	}
}
